Brad Fitzpatrick (bradfitz) wrote in lj_dev,
Brad Fitzpatrick
bradfitz
lj_dev

Java advice needed

I'm starting to write the S2 parser and compiler, and I intended to write them in Java.... the first backend will generate Perl code, and later we could have PHP, C++, servlet backends, etc..

Now, my question is--- what version of Java should I use? Most of my Java experience in the past was with 1.0.x, and later in 1.1.x. I've never written any Java2 stuff (1.2.x or 1.3.x) .

Linux and FreeBSD both seem to have beta, decent, and/or maintained ports of each of these JDKs, so all seem like a fine choice.

Which should I use? Going out to eat now..... I want to start programming when I get back. :-P
Subscribe
  • Post a new comment

    Error

    Anonymous comments are disabled in this journal

    default userpic

    Your reply will be screened

    Your IP address will be recorded 

  • 4 comments